Window Maker(1x)

NAME
wmaker - X11 window manager with a NEXTSTEP look

SYNOPSIS
wmaker [-options]

DESCRIPTION
Window Maker is a X11 window manager with a NEXTSTEP look. It tries to emulate NeXT's look as much as possible, but it deviates from it as necessary.

OPTIONS

-display host:display.screen
    specify display to use. On multiheaded machines, Window Maker will automatically manage all screens. If you want Window Maker to manage only a specific screen, you must supply the screen number you want to have managed with the -display command line argument. For example, if you want Window Maker to manage only screen 1, start it as: wmaker -display :0.1

--no-cpp
    disable preprocessing of configuration files

--no-dock
    do not show the application Dock

--no-clip
    do not show the workspace Clip

--no-autolaunch
    do not autolaunch applications

--dont-restore
    do not restore saved session

--locale locale
    specify the locale to use

--create-stdcmap
    create the standard colormap hint in PseudoColor visuals

--visual-id
    visual id of visual to use

--static
    do not update or save configurations

--version
    display version number and exit

--visual-id
    specify the ID of the visual to use. See xdpyinfo(1x) for a list of visuals available in your display.

--help
    print a brief help message

FILES

~/GNUstep/Defaults/WindowMaker
    general Window Maker defaults.

~/GNUstep/Defaults/WMState
    information about the Dock and Clip. DON'T edit this while running Window Maker. It will be overwritten.

~/GNUstep/Defaults/WMRootMenu
    Contains the name of the file to read the root menu from or the menu itself, in property list format.

~/GNUstep/Defaults/WMWindowAttributes
    Attributes for different application classes and instances. Use the Attribute Editor (right drag the application's title bar, select Attributes) instead of modifying this file directly. There are just a few options not available using the Attributes Editor.

/usr/share/WindowMaker/Defaults/
    All the above-mentioned files are READ from here if not found except for WMState, which is COPIED from here. No matter where they are read from, if it's necessary to write configuration changes back into this files, user's files will be written to.

~/GNUstep/Library/WindowMaker/autostart
    This script is automatically executed when Window Maker is started.

~/GNUstep/Library/WindowMaker/exitscript
    This script is automatically executed immediately before Window Maker is exited. Note: If you need to run something that requires the X server to be running from this script, make sure you do not use the SHUTDOWN command from the root menu to exit Window Maker. Otherwise, the X server might be shut down before the script is executed.

~/GNUstep/Library/WindowMaker/
    The menu file indicated in WMRootMenu is looked for here...

/etc/X11/WindowMaker/
    and here, in that order. Unless, the indicated path is an absolute path.

~/GNUstep/Library/WindowMaker/Pixmaps/
    Window Maker looks for pixmaps here

~/GNUstep/Library/WindowMaker/Backgrounds/
    Window Maker looks for backgrounds here

~/GNUstep/Library/WindowMaker/Styles/
    Window Maker looks for style files here (not true... it looks like it does, but you have to specify the full path anyway, it's just a place to keep things nicely ordered)

~/GNUstep/Library/WindowMaker/Themes/
    Window Maker looks for theme files here (ibid)

/usr/share/WindowMaker/Pixmaps/
    System-wide (Window Maker-specific) pixmaps are located here

/usr/share/WindowMaker/Styles/
    System wide styles are here

/usr/share/WindowMaker/Themes/
    Guess... ;-)

ENVIRONMENT

GNUSTEP_USER_ROOT
    specifies the initial path for the Defaults directory. "Defaults/" is appended to this variable to determine the actual location of the databases. If the varialbe is not set, it defaults to "~/GNUstep"

GNUSTEP_LOCAL_ROOT
    specifies the location of the system-wide local GNUstep directory (this is useful, for example, in those cases where the system-wide location is really a network wide location). If this variable is empty, GNUSTEP_SYSTEM_ROOT is looked for.

GNUSTEP_SYSTEM_ROOT
    specifies the location of the system-wide GNUstep directory. If this variable is empty, it defaults to /etc/GNUstep

SEE ALSO
The Window Maker User Guide

The Window Maker FAQ

X(1x), wdwrite(1x), wxcopy(1x), geticonset(1x), seticons(1x), wmaker(1x), wxpaste(1x), getstyle(1x), setstyle(1x), wmsetbg(1x)

AUTHOR
Window Maker was written by Alfredo K. Kojima <kojima@windowmaker.info>, Dan Pascu <dan@windowmaker.info> with contributions from many people around the Internet.

This manual page was written by Marcelo E. Magallon, <mmagallo@debian.org>.